//////////////////////////////////////////////////////////////////////
// wancfglib.h: declarations of functions exported by wancfglib.dll
//
// Author	:	David Rokhvarg	<davidr@sangoma.com>
//
//////////////////////////////////////////////////////////////////////

#pragma once

#ifdef WANCFGLIB_EXPORTS
# define WANCFGLIB_API __declspec(dllexport)
#else
# define WANCFGLIB_API __declspec(dllimport)
#endif

/* Public functions. */
WANCFGLIB_API int wancfglib_get_hwprobe_str(char *buf, int buf_size, char verbose);
WANCFGLIB_API int wancfglib_port_stop(int wanpipe_number);
WANCFGLIB_API int wancfglib_port_start(int wanpipe_number);
WANCFGLIB_API int wancfglib_get_wanpipe_list_str(char *buf, int buf_size);
WANCFGLIB_API int wancfglib_list_interfaces(int verbose);
WANCFGLIB_API int wancfglib_get_wanpipe_status_str(char *buf, int buf_size);